Page MenuHomePhabricator

Determine purpose of deployment-memc0[67]
Closed, ResolvedPublic

Description

I can't find references to them under operations/puppet, operations/mediawiki-config, or cloud/instance-puppet. We seem to use 0[45] with 08 as a buster testing machine.
They run Jessie and I've been looking at the parent task wondering why we have so many memc boxes.
If they're not needed can we shut them down / terminate them?
Tyler: It looks like you made these in late November 2018. Any ideas?

Event Timeline

Krenair created this task.Apr 18 2020, 9:34 PM
Krenair updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.EditedMay 15 2020, 5:28 PM

From openstack-browser:

openstack-browser
deployment-memc04.deployment-prep.eqiad.wmflabs 	debian-8.3-jessie (2016-06) 	172.16.5.76
deployment-memc05.deployment-prep.eqiad.wmflabs 	debian-8.3-jessie (2016-06) 	172.16.5.17
deployment-memc06.deployment-prep.eqiad.wmflabs 	debian-8.9-jessie (2017-09) 	172.16.5.12
deployment-memc07.deployment-prep.eqiad.wmflabs 	debian-8.9-jessie (2017-09) 	172.16.5.2
deployment-memc08.deployment-prep.eqiad.wmflabs 	debian-10.0-buster (2019-12) 	172.16.0.28

From operations/puppet.git:

Puppet
redis::shards:
  sessions:
    eqiad:
      shard01:
        host: 172.16.5.76
        port: 6379
      shard02:
        host: 172.16.5.17
        port: 6379
      shard03:
        host: 172.16.5.12
        port: 6379
      shard04:
        host: 172.16.5.2
        port: 6379

From Horizon hiera:

Horizon
redis::shards:
  sessions:
    eqiad:
      shard01:
        host: 172.16.5.76
        port: 6379
      shard02:
        host: 172.16.5.17
        port: 6379
      shard03:
        host: 172.16.5.12
        port: 6379
      shard04:
        host: 172.16.5.2
        port: 6379

This suggests that four servers (memc04 through memc07) are currently in-use by appserver/nutcracker for Main Stash (incl. legacy sessions).

It seems that memc08 (Buster) is newer and not in use.

Tyler: It looks like you made these in late November 2018. Any ideas?

It looks like I added memc05/06 so that @aaron could test mcrouter replication (per T175418: Create new instances memc05 and memc06 running memcached). Not sure why 07 was added offhand.

Krinkle closed this task as Resolved.May 28 2020, 5:35 PM